/// <reference types="./global.d.ts" />
/** /Authorization
 *
 * @author Alex Malotky
 */
import OutgoingResponse from "./Context/OutgoingResponse";
import IncomingRequest from "./Context/IncomingRequest";
export type AuthGet = (request: IncomingRequest) => Promise<User | null> | User | null;
export type AuthSet = (response: OutgoingResponse, user: User | null) => Promise<void> | void;
/** Authorization Interface
 *
 */
export default class Authorization {
    private _getter;
    private _setter;
    /** Set Authroization Function
     *
     * @param {AuthSet} value
     */
    set(value: AuthSet): void;
    set(): AuthSet;
    /** Get Authroization Function
     *
     * @param {AuthSet} value
     */
    get(value: AuthGet): void;
    get(): AuthGet;
}
