/// <reference types="node" />
/** /Context/IncomingRequest
 *
 * @author Alex Malotky
 */
import { IncomingMessage } from "node:http";
import { BodyData } from "../BodyParser";
type NodeRequeset = IncomingMessage;
export type { NodeRequeset };
/** Headers Class
 *
 * Additional Wrapper around Map<string, string>
 * for the key to not be case sensitive.
 */
declare class Headers extends Map<string, string> {
    set(key: string, value: string): this;
    get(key: string): string | undefined;
}
/** Incoming Request
 *
 * Wrapper around the Node:Request or Cloudflare:Request
 */
export default class IncomingRequest {
    private _headers;
    private _url;
    private _method;
    private _body;
    private _raw;
    constructor(message: NodeRequeset | Request);
    /** Method Getter
     *
     */
    get method(): string;
    /** URL String Getter
     *
     */
    get url(): string;
    /** Headers Getter
     *
     */
    get headers(): Headers;
    formData(): Promise<BodyData>;
}
