/** /Routing/Route.ts
 *
 * @author Alex Malotky
 */
import Context from "../Context";
import Layer, { Middleware } from "./Layer";
/** Route Layer
 *
 * Array<Layer> Wrapper
 */
export default class Route extends Layer {
    #private;
    /** Constructor
     *
     * @param {string} path
     */
    constructor(path?: string);
    /** Handle Routing Override
     *
     * @param {Context} context
     */
    handle(context: Context): Promise<void>;
    /** Use Middleware
     *
     * @param {string} path = "/"
     * @param {Middleware|Layer} middleware
     */
    use(middleware: Middleware | Layer): Route;
    use(path: string, handler: Middleware): Route;
    /** Set Prefix Override
     *
     * @param {string} value
     */
    prefix(value: string): void;
}
