"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _Route_layers;
Object.defineProperty(exports, "__esModule", { value: true });
const Layer_1 = __importDefault(require("./Layer"));
//Route Error Thrower
const ROUTE_ERROR = () => { throw new Error("_handler called from Route!"); };
/** Route Layer
 *
 * Array<Layer> Wrapper
 */
class Route extends Layer_1.default {
    /** Constructor
     *
     * @param {string} path
     */
    constructor(path = "/") {
        super(path, { end: false }, ROUTE_ERROR);
        _Route_layers.set(this, void 0);
        __classPrivateFieldSet(this, _Route_layers, [], "f");
    }
    /** Handle Routing Override
     *
     * @param {Context} context
     */
    async handle(context) {
        if (this.match(context)) {
            for (const layer of __classPrivateFieldGet(this, _Route_layers, "f")) {
                await layer.handle(context);
                if (context.response.commited())
                    return;
            }
        }
    }
    use() {
        let layer;
        switch (typeof arguments[0]) {
            case "object":
                layer = arguments[0];
                break;
            case "function":
                layer = new Layer_1.default("/", arguments[0]);
                break;
            case "string":
                if (typeof arguments[1] !== "function")
                    throw new TypeError("Endpoint must be a function!");
                layer = new Layer_1.default(arguments[0], arguments[1]);
                break;
            default:
                throw new TypeError("Path must be a string!");
        }
        layer.prefix(this.totalPath());
        __classPrivateFieldGet(this, _Route_layers, "f").push(layer);
        return this;
    }
    /** Set Prefix Override
     *
     * @param {string} value
     */
    prefix(value) {
        super.prefix(value);
        for (const l of __classPrivateFieldGet(this, _Route_layers, "f")) {
            l.prefix(this.totalPath());
        }
    }
}
_Route_layers = new WeakMap();
exports.default = Route;
