"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorName = void 0;
/** //Validation/Color
 *
 * @author Alex Malotky
 */
const Type_1 = require("./Type");
const Util_1 = require("./Util");
const Color_1 = require("./Type/Color");
//Color Name
exports.ColorName = "Color";
/** Color Validator
 *
 */
class ColorValidator extends Type_1.TypeValidator {
    constructor(value) {
        if (value) {
            try {
                value = (0, Color_1.formatColor)(value);
            }
            catch (e) {
                throw new TypeError(`${value} is not a valid Color!`);
            }
        }
        super(exports.ColorName, (0, Util_1.defaultFormatGenerator)(Color_1.formatColor, exports.ColorName, value));
    }
}
exports.default = ColorValidator;
