"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateName = void 0;
/** /Validation/Date
 *
 * @author Alex Malotky
 */
const Type_1 = require("./Type");
const Util_1 = require("./Util");
const Date_1 = require("./Type/Date");
// Date Format Name
exports.DateName = "Date";
/** Date Validator
 *
 */
class DateValidator extends Type_1.TypeValidator {
    constructor(value) {
        if (value) {
            try {
                value = (0, Date_1.formatDate)(value);
            }
            catch (e) {
                throw new TypeError(`${value} is not a valid Date!`);
            }
        }
        super(exports.DateName, (0, Util_1.defaultFormatGenerator)(Date_1.formatDate, exports.DateName, value));
    }
}
exports.default = DateValidator;
