"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateTimeName = void 0;
/** /Validation/DateTime
 *
 * @author Alex Malotky
 */
const Type_1 = require("./Type");
const Util_1 = require("./Util");
const DateTime_1 = require("./Type/DateTime");
// DateTime Format Name
exports.DateTimeName = "DateTime";
/** DateTime Type Validator
 *
 */
class DateTimeValidator extends Type_1.TypeValidator {
    constructor(value) {
        if (value) {
            try {
                value = (0, DateTime_1.formatDateTime)(value);
            }
            catch (e) {
                throw new TypeError(`${value} is not a valid DateTime!`);
            }
        }
        super(exports.DateTimeName, (0, Util_1.defaultFormatGenerator)(DateTime_1.formatDateTime, exports.DateTimeName, value));
    }
}
exports.default = DateTimeValidator;
