"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmailName = void 0;
/** /Validation/Email
 *
 * @author Alex Malotky
 */
const Type_1 = require("./Type");
const Util_1 = require("./Util");
const Email_1 = require("./Type/Email");
// Email Format Name
exports.EmailName = "Email";
/** Email Validator
 *
 */
class EmailValidator extends Type_1.TypeValidator {
    constructor(value) {
        if (value) {
            try {
                value = (0, Email_1.formatEmail)(value);
            }
            catch (e) {
                throw new TypeError(`${value} is not a valid Email Address!`);
            }
        }
        super(exports.EmailName, (0, Util_1.defaultFormatGenerator)(Email_1.formatEmail, exports.EmailName, value));
    }
}
exports.default = EmailValidator;
