"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberName = void 0;
/** /Validation/Number
 *
 * @author Alex Malotky
 */
const Type_1 = require("./Type");
const Empty_1 = require("./Type/Empty");
//Number Format Name
exports.NumberName = "number";
/** Number Validator
 *
 */
class NumberValidator extends Type_1.TypeValidator {
    constructor(value) {
        if (value)
            value = convertToNumber(value);
        super(exports.NumberName, formatNumberGenerator(value));
    }
}
exports.default = NumberValidator;
/** Format Number Generator
 *
 * @param {number} ifEmpty
 * @returns {Function}
 */
function formatNumberGenerator(ifEmpty) {
    /** Format Number
     *
     * @param {unknown} value
     * @returns {number}
     */
    return function formatNumber(value) {
        return (0, Empty_1.emptyHandler)(value, convertToNumber, exports.NumberName, ifEmpty);
    };
}
/** Convert To Number;
 *
 * @param {unknown} value
 * @returns {number}
 */
function convertToNumber(value) {
    const number = Number(value);
    if (isNaN(number))
        throw new TypeError(`Invalid number '${value}'!`);
    return number;
}
