"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OptionalName = void 0;
/** /Validation/Optional
 *
 * @author Alex Malotky
 */
const Type_1 = require("./Type");
const Empty_1 = require("./Type/Empty");
//Optional Format Name
exports.OptionalName = "Optional";
/** Optional Validator
 *
 */
class OptionalValidator extends Type_1.TypeValidator {
    constructor(type, value) {
        if (value) {
            value = type.run(value);
        }
        super(exports.OptionalName, formatOptionalGenerator(type, value));
        this._proto = type;
    }
    simplify(value) {
        if (value)
            return this._proto.simplify(value);
        return null;
    }
}
exports.default = OptionalValidator;
/** Format Optiona Generator
 *
 * @param {TypeValidator<any>} type
 * @param {Optional} ifEmpty
 */
function formatOptionalGenerator(type, ifEmpty = null) {
    /** Format Optional
     *
     * @param {unknown} value
     * @returns {Optional}
     */
    return function formatOptional(value) {
        if ((0, Empty_1.isEmpty)(value)) {
            return ifEmpty;
        }
        return type.run(value);
    };
}
