"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecordName = void 0;
/** /Validation/Record
 *
 * @author Alex Malotky
 */
const Type_1 = require("./Type");
const Empty_1 = require("./Type/Empty");
const Object_1 = require("./Object");
//Record Fromat Name
exports.RecordName = "Record";
/** Record Validator
 *
 */
class RecordValidator extends Type_1.TypeValidator {
    constructor(type, value) {
        if (value) {
            try {
                value = buildRecord(type, value);
            }
            catch (e) {
                throw new TypeError("Default value is not a Record!");
            }
        }
        super(exports.RecordName, formatRecordGenerator(type, value));
    }
}
exports.default = RecordValidator;
/** Format List Generator
 *
 * @param {Type} type
 * @param {Record} ifEmpty
 * @returns {Function}
 */
function formatRecordGenerator(type, ifEmpty) {
    /** Format Record
     *
     * @param {unknown} input
     * @returns {Record}
     */
    return function formatRecord(input) {
        return (0, Empty_1.emptyHandler)(input, (value) => buildRecord(type, (0, Object_1.objectify)(input)), exports.RecordName, ifEmpty);
    };
}
/** Build Record
 *
 * @param {TypeValidator}type
 * @param {Record} value
 * @returns {Record}
 */
function buildRecord(type, value) {
    const output = {};
    for (const name in value) {
        output[name] = type.run(value[name]);
    }
    return output;
}
