"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringName = void 0;
/** /Validation/String
 *
 * @author Alex Malotky
 */
const Type_1 = require("./Type");
const Empty_1 = require("./Type/Empty");
//Number Format Name
exports.StringName = "string";
/** String Validator
 *
 */
class StringValidator extends Type_1.TypeValidator {
    constructor(value) {
        if (value)
            value = convertToString(value);
        super(exports.StringName, formatStringGenerator(value));
    }
}
exports.default = StringValidator;
/** Format String Generator
 *
 * @param {string} ifEmpty
 * @returns {Function}
 */
function formatStringGenerator(ifEmpty) {
    /** Format String
     *
     * @param {unknown} value
     * @return {string}
     */
    return function formatString(value) {
        return (0, Empty_1.emptyHandler)(value, convertToString, exports.StringName, ifEmpty);
    };
}
/** Convert To String
 *
 * @param {unknown} value
 * @returns {string}
 */
function convertToString(value) {
    switch (typeof value) {
        case "object":
            return JSON.stringify(value);
        case "string":
            return value;
        default:
            return String(value);
    }
}
