"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TelephoneName = void 0;
/** /Validation/Telephone
 *
 * @author Alex Malotky
 */
const Type_1 = require("./Type");
const Util_1 = require("./Util");
const Telephone_1 = require("./Type/Telephone");
// Telephone Format Name
exports.TelephoneName = "Telephone";
/** Telephone Validator
 *
 */
class TelephoneValidator extends Type_1.TypeValidator {
    constructor(value) {
        if (value) {
            try {
                value = (0, Telephone_1.formatTelephone)(value);
            }
            catch (e) {
                throw new TypeError(`${value} is not a valid Telephone Number!`);
            }
        }
        super(exports.TelephoneName, (0, Util_1.defaultFormatGenerator)(Telephone_1.formatTelephone, exports.TelephoneName, value));
    }
}
exports.default = TelephoneValidator;
