"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeName = void 0;
/** /Validation/Time
 *
 * @author Alex Malotky
 */
const Type_1 = require("./Type");
const Util_1 = require("./Util");
const Time_1 = require("./Type/Time");
//Time Format Name
exports.TimeName = "Time";
/** Time Validator
 *
 */
class TimeValidator extends Type_1.TypeValidator {
    constructor(value) {
        if (value) {
            try {
                value = (0, Time_1.formatTime)(value);
            }
            catch (e) {
                throw new TypeError(`${value} is not a valid Time!`);
            }
        }
        super(exports.TimeName, (0, Util_1.defaultFormatGenerator)(Time_1.formatTime, exports.TimeName, value));
    }
}
exports.default = TimeValidator;
