"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDateTime = exports.formatDateTime = void 0;
/** /Validation/Types/DateTime
 *
 * @author Alex Malotky
 */
const Date_1 = require("./Date");
const Time_1 = require("./Time");
/** Format DateTime
 *
 * Used to format / sanitize email input.
 *
 * @param {unknown} value
 * @returns {DateTime}
 */
function formatDateTime(value) {
    if (typeof value !== "string")
        throw new TypeError("DateTime must be stored in a string!");
    const string = value.toLocaleUpperCase();
    let date, time;
    try {
        const index = string.indexOf("T");
        if (index === -1)
            throw new Error("Unable to find Date/Time seperator!");
        date = (0, Date_1.formatDate)(string.substring(0, index));
        time = (0, Time_1.formatTime)(string.substring(index + 1));
    }
    catch (e) {
        throw new TypeError("DateTime is not formated correctly!");
    }
    return date + "T" + time;
}
exports.formatDateTime = formatDateTime;
/** Is DateTime
 *
 * @param {unknwon} value
 * @returns {boolean}
 */
function isDateTime(value) {
    try {
        formatDateTime(value);
    }
    catch (e) {
        return false;
    }
    return true;
}
exports.isDateTime = isDateTime;
