"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptyError = exports.emptyHandler = exports.isEmpty = exports.formatEmpty = void 0;
/** Format Color
*
* @param value
*/
function formatEmpty(value) {
    if (isEmpty(value) === false)
        throw new TypeError(`${value} is not empty!`);
    return null;
}
exports.formatEmpty = formatEmpty;
/** is Empty
 *
 * @param {value} value
 * @param {boolean} string
 * @returns {boolean}
 */
function isEmpty(value, string = false) {
    if (string && typeof value === "string") {
        return value === "";
    }
    return value === null || value === undefined;
}
exports.isEmpty = isEmpty;
/** Handle Empty Type
 *
 * @param {unknown} value
 * @param {string} name
 * @param {any} ifEmpty
 * @returns {unknown}
 */
function emptyHandler(value, format, name, ifEmpty) {
    if (isEmpty(value, true)) {
        if (ifEmpty === undefined)
            throw new EmptyError(`Expected ${name} Value!`);
        return ifEmpty;
    }
    return format(value);
}
exports.emptyHandler = emptyHandler;
class EmptyError extends Error {
}
exports.EmptyError = EmptyError;
;
