type Url = string;
export default Url;
/** Format Url
 *
 * Used to format / sanitize email input.
 *
 * @param {unknwon} value
 * @returns {Url}
 */
export declare function formatUrl(value: unknown): Url;
export declare function split(value: string): {
    protocol: string;
    domain: string;
    port: string;
    path: string;
    hash: string;
    search: string;
};
/** Validate Url
 *
 * @param {unknwon} value
 * @returns {boolean}
 */
export declare function isUrl(value: unknown): value is Url;
