/** /Validation/Type
 *
 * @author Alex Malotky
 */
import Color from "./Color";
import Date from "./Date";
import DateTime from "./DateTime";
import Email from "./Email";
import File from "./File";
import Telephone from "./Telephone";
import Time from "./Time";
import Url from "./Url";
import Empty from "./Empty";
export type List<T extends Type> = T[];
export type Object<K extends string | number | symbol> = {
    [key in K]: Type;
};
export type Optional<T> = T | Empty;
export type Simple = string | boolean | number | null;
export type { Color, Date, DateTime, Email, Telephone, Time, Url, Empty };
type Type = boolean | number | string | Color | Date | DateTime | Email | Empty | File | Telephone | Time | Url | List<any> | Object<any>;
export default Type;
/** Format Type
 *
 */
export type format<T> = (value: unknown) => T;
/** Type Validator Abstract Class
 *
 */
export declare abstract class TypeValidator<T> {
    private _name;
    private _format;
    readonly _type: T;
    constructor(name: string, format: format<T>);
    get name(): string;
    get run(): format<T>;
    simplify(value: T): Simple;
}
