"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UrlName = void 0;
/** /Validation/Url
 *
 * @author Alex Malotky
 */
const Type_1 = require("./Type");
const Util_1 = require("./Util");
const Url_1 = require("./Type/Url");
//Url Format Name
exports.UrlName = "Url";
/** Url Validator
 *
 */
class UrlValidator extends Type_1.TypeValidator {
    constructor(value) {
        if (value) {
            try {
                value = (0, Url_1.formatUrl)(value);
            }
            catch (e) {
                throw new TypeError(`${value} is not a valid Url!`);
            }
        }
        super(exports.UrlName, (0, Util_1.defaultFormatGenerator)(Url_1.formatUrl, exports.UrlName, value));
    }
}
exports.default = UrlValidator;
