"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toString = void 0;
/** Aria Attribute To String
 *
 * @param {string} name
 * @param {unknown} value
 * @returns {string}
 */
function toString(name, value) {
    switch (typeof value) {
        case "string":
            if (value !== "")
                return " " + name + "=\"" + value + "\"";
            break;
        case "number":
            if (!isNaN(value))
                return " " + name + "=\"" + value + "\"";
            else
                console.warn("NaN passed as Aria Attribute value!");
            break;
        case "boolean":
            return " " + name + "=\"" + (value ? "true" : "false") + "\"";
        case "undefined":
            return "";
        case "object":
            if (Array.isArray(value)) {
                return " " + name + "=\"" + value.join(" ") + "\"";
            }
        default:
            console.warn("Unknown value passed as Aria Attribute:\n%o", value);
    }
    return "";
}
exports.toString = toString;
