"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** Base Tag
 *
 * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/base
 * @param {BaseAttributes} value
 * @returns {HTMLContent}
 */
function Base(value) {
    if (value.href === undefined && value.target === undefined) {
        throw new TypeError("Base must have at least a href or target value!");
    }
    const href = value.href ? ` href="${value.href}"` : "";
    const target = value.target ? ` target="${value.target}"` : "";
    return "<base" + target + href + "/>";
}
exports.default = Base;
