/** /View/Html/Head/Link
 *
 * @author Alex Malotky
 */
import HTMLElement from "..";
import { AttributeList, RefferPolicy } from "../Attributes";
import LinkInit from "../Element/Link";
export type { LinkInit };
export interface LinkUpdate extends AttributeList {
    disabled?: boolean;
    href: string;
    imagesrcset?: string;
    integrity?: string;
    media?: string;
    refferpolicy: RefferPolicy;
    sizes?: string;
    title?: string;
}
/** Link Tag
 *
 * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/link
 * @param {LinkInit} value
 * @returns {HTMLContent}
 */
export default function Link(value: LinkInit): HTMLElement;
