"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Attributes_1 = require("../Attributes");
/** Link Tag
 *
 * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/link
 * @param {LinkInit} value
 * @returns {HTMLContent}
 */
function Link(value) {
    if (value.rel === undefined)
        throw new Error("Link must have a relation!");
    if (value.href === undefined)
        throw new Error("Link must have a href!");
    return "<link" + (0, Attributes_1.buildAttributesString)(value) + "/>";
}
exports.default = Link;
