/** /View/Html/Head/Meta
 *
 * @author Alex Malotky
 */
import HTMLElement from "..";
import MetaInit from "../Element/Meta";
export type { MetaInit };
export type MetaUpdate = string;
/** Meta Tag
 *
 * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/script
 * @param {MetaInit} value
 * @returns {HTMLContent}
 */
export default function Meta(value: MetaInit): HTMLElement;
/** Update Meta Tags
 *
 */
export declare function mergeMeta(init?: Array<MetaInit>, update?: Record<string, MetaUpdate>): Array<MetaInit>;
/** Update Meta Tags
 *
 */
export declare function updateMeta(init?: Array<MetaInit>, update?: Record<string, MetaUpdate>): Record<string, string>;
