"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Attributes_1 = require("../Attributes");
/** Script Tag
 *
 * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/script
 * @param {ScriptInit} value
 * @returns {HTMLContent}
 */
function Script(value) {
    if (value.value === undefined && value.src === undefined)
        throw new Error("Script must have a content or a source!");
    const content = value.value;
    value.value = "";
    return "<script" + (0, Attributes_1.buildAttributesString)(value) + ">" + (content || "") + "</script>";
}
exports.default = Script;
