/** /View/Html/Head/Style
 *
 * @author Alex Malotky
 */
import HTMLElement from "..";
import { AttributeList } from "../Attributes";
import StyleAttributes from "../Element/Style";
export interface StyleInit extends StyleAttributes {
    name?: string;
}
export interface StyleUpdate extends AttributeList {
    media?: string;
    value: string;
}
/** Style Tag
 *
 * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/style
 * @param {StyleInit} value
 * @returns {HTMLContent}
 */
export default function Style(value: StyleInit): HTMLElement;
