"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Attributes_1 = require("../Attributes");
/** Style Tag
 *
 * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/style
 * @param {StyleInit} value
 * @returns {HTMLContent}
 */
function Style(value) {
    if (value.value === undefined)
        throw new Error("Style must have a content value!");
    const content = value.value;
    value.value = "";
    return "<style" + (0, Attributes_1.buildAttributesString)(value) + ">" + content + "</style>";
}
exports.default = Style;
