"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Tacker_1 = __importDefault(require("./Tacker"));
/** Scripts Tracker
 *
 */
class Scripts extends Tacker_1.default {
    /** Constructor for "Script"
     *
     * @param head
     */
    constructor(head) {
        super(head, "script");
    }
    /** Update Scripts override
     *
     * @param updates
     * @returns
     */
    update(updates) {
        super.update(updates);
        const waits = [];
        for (const name in this._current) {
            const script = this._current[name];
            waits.push(new Promise(res => {
                script.addEventListener("load", () => res(), { once: true });
            }));
        }
        return Promise.all(waits);
    }
}
exports.default = Scripts;
