/** /View/RenderEnvironment/Util
 *
 * Front End Utility
 *
 * @author Alex Malotky
 */
/** Find Or Create Element
 *
 * @param {string} name
 * @param {Array<string>} parents
 * @returns {HTMLElement}
 */
export declare function findOrCreateElement(name?: string, ...parents: Array<string>): HTMLElement;
/** Get Routing Info
 *
 * Returns both the pathname and anchor id from a Hypertext Reference string.
 *
 * @param {string} href
 * @returns {{path:string, anchor:string}}
 */
export declare function getRouteInfo(href: string | URL): {
    path: string;
    anchor: string;
};
/** Hash Object
 *
 */
export declare function hashObject(value: any): number;
/** Get Value From Element
 *
 * @param {HTMLElement} element
 * @param {string} name
 * @returns {string}
 */
export declare function getValueFrom(element: HTMLElement, name: string): string;
